Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getInsightApplications({
organizationId: "string",
});
export const merakiOrganizationsInsightApplicationsExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_insight_applications(organization_id="string")
pulumi.export("merakiOrganizationsInsightApplicationsExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.GetInsightApplications(ctx, &organizations.GetInsightApplicationsArgs{
OrganizationId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsInsightApplicationsExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetInsightApplications.Invoke(new()
{
OrganizationId = "string",
});
return new Dictionary<string, object?>
{
["merakiOrganizationsInsightApplicationsExample"] = example.Apply(getInsightApplicationsResult => getInsightApplicationsResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetInsightApplicationsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getInsightApplications(GetInsightApplicationsArgs.builder()
.organizationId("string")
.build());
ctx.export("merakiOrganizationsInsightApplicationsExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getInsightApplications
arguments:
organizationId: string
outputs:
merakiOrganizationsInsightApplicationsExample: ${example.items}
Using getInsightApplications
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getInsightApplications(args: GetInsightApplicationsArgs, opts?: InvokeOptions): Promise<GetInsightApplicationsResult>
function getInsightApplicationsOutput(args: GetInsightApplicationsOutputArgs, opts?: InvokeOptions): Output<GetInsightApplicationsResult>def get_insight_applications(organization_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetInsightApplicationsResult
def get_insight_applications_output(organization_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetInsightApplicationsResult]func GetInsightApplications(ctx *Context, args *GetInsightApplicationsArgs, opts ...InvokeOption) (*GetInsightApplicationsResult, error)
func GetInsightApplicationsOutput(ctx *Context, args *GetInsightApplicationsOutputArgs, opts ...InvokeOption) GetInsightApplicationsResultOutput> Note: This function is named GetInsightApplications in the Go SDK.
public static class GetInsightApplications
{
public static Task<GetInsightApplicationsResult> InvokeAsync(GetInsightApplicationsArgs args, InvokeOptions? opts = null)
public static Output<GetInsightApplicationsResult> Invoke(GetInsightApplicationsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetInsightApplicationsResult> getInsightApplications(GetInsightApplicationsArgs args, InvokeOptions options)
public static Output<GetInsightApplicationsResult> getInsightApplications(GetInsightApplicationsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getInsightApplications:getInsightApplications
arguments:
# arguments dictionaryThe following arguments are supported:
- Organization
Id string - organizationId path parameter. Organization ID
- Organization
Id string - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
- organization
Id string - organizationId path parameter. Organization ID
- organization_
id str - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
getInsightApplications Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Insight Applications Item> - Array of ResponseInsightGetOrganizationInsightApplications
- Organization
Id string - organizationId path parameter. Organization ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Insight Applications Item - Array of ResponseInsightGetOrganizationInsightApplications
- Organization
Id string - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Insight Applications Item> - Array of ResponseInsightGetOrganizationInsightApplications
- organization
Id String - organizationId path parameter. Organization ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Insight Applications Item[] - Array of ResponseInsightGetOrganizationInsightApplications
- organization
Id string - organizationId path parameter. Organization ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Insight Applications Item] - Array of ResponseInsightGetOrganizationInsightApplications
- organization_
id str - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseInsightGetOrganizationInsightApplications
- organization
Id String - organizationId path parameter. Organization ID
Supporting Types
GetInsightApplicationsItem
- Application
Id string - Application identifier
- Name string
- Application name
- Thresholds
Get
Insight Applications Item Thresholds - Thresholds defined by a user or Meraki models for each application
- Application
Id string - Application identifier
- Name string
- Application name
- Thresholds
Get
Insight Applications Item Thresholds - Thresholds defined by a user or Meraki models for each application
- application
Id String - Application identifier
- name String
- Application name
- thresholds
Get
Insight Applications Item Thresholds - Thresholds defined by a user or Meraki models for each application
- application
Id string - Application identifier
- name string
- Application name
- thresholds
Get
Insight Applications Item Thresholds - Thresholds defined by a user or Meraki models for each application
- application_
id str - Application identifier
- name str
- Application name
- thresholds
Get
Insight Applications Item Thresholds - Thresholds defined by a user or Meraki models for each application
- application
Id String - Application identifier
- name String
- Application name
- thresholds Property Map
- Thresholds defined by a user or Meraki models for each application
GetInsightApplicationsItemThresholds
- By
Networks List<GetInsight Applications Item Thresholds By Network> - Threshold for each network
- Type string
- Threshold type (static or smart)
- By
Networks []GetInsight Applications Item Thresholds By Network - Threshold for each network
- Type string
- Threshold type (static or smart)
- by
Networks List<GetInsight Applications Item Thresholds By Network> - Threshold for each network
- type String
- Threshold type (static or smart)
- by
Networks GetInsight Applications Item Thresholds By Network[] - Threshold for each network
- type string
- Threshold type (static or smart)
- by_
networks Sequence[GetInsight Applications Item Thresholds By Network] - Threshold for each network
- type str
- Threshold type (static or smart)
- by
Networks List<Property Map> - Threshold for each network
- type String
- Threshold type (static or smart)
GetInsightApplicationsItemThresholdsByNetwork
- Goodput int
- Number of useful information bits delivered over a network per unit of time
- Network
Id string - Network identifier
- Response
Duration int - Duration of the response, in milliseconds
- Goodput int
- Number of useful information bits delivered over a network per unit of time
- Network
Id string - Network identifier
- Response
Duration int - Duration of the response, in milliseconds
- goodput Integer
- Number of useful information bits delivered over a network per unit of time
- network
Id String - Network identifier
- response
Duration Integer - Duration of the response, in milliseconds
- goodput number
- Number of useful information bits delivered over a network per unit of time
- network
Id string - Network identifier
- response
Duration number - Duration of the response, in milliseconds
- goodput int
- Number of useful information bits delivered over a network per unit of time
- network_
id str - Network identifier
- response_
duration int - Duration of the response, in milliseconds
- goodput Number
- Number of useful information bits delivered over a network per unit of time
- network
Id String - Network identifier
- response
Duration Number - Duration of the response, in milliseconds
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
